Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 580056 - sys-fs/jfsutils-1.1.15 : devices.c:(.text+0x4b9): undefined reference to `major'
Summary: sys-fs/jfsutils-1.1.15 : devices.c:(.text+0x4b9): undefined reference to `major'
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Lars Wendler (Polynomial-C)
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: glibc-sysmacros
  Show dependency tree
 
Reported: 2016-04-15 08:24 UTC by Toralf Förster
Modified: 2016-04-19 06:10 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-history.txt (emerge-history.txt,707.42 KB, text/plain)
2016-04-15 08:24 UTC, Toralf Förster
Details
environment (environment,91.44 KB, text/plain)
2016-04-15 08:25 UTC, Toralf Förster
Details
sys-fs:jfsutils-1.1.15:20160415-071350.log (sys-fs:jfsutils-1.1.15:20160415-071350.log,12.72 KB, text/plain)
2016-04-15 08:25 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2016-04-15 08:24:55 UTC
x86_64-pc-linux-gnu-gcc  -march=native -O2 -pipe  -Wl,-O1 -Wl,--as-needed -o jfs_fsck fsckbmap.o fsckconn.o fsckdire.o fsckdtre.o fsckea.o fsckimap.o fsckino.o fsckmeta.o fsckpfs.o dirindex.o fsckwsp.o fsckxtre.o xchkdsk.o fsckruns.o fsck_message.o ../libfs/libfs.a -luuid 
../libfs/libfs.a(devices.o): In function `ujfs_flush_dev':
devices.c:(.text+0x4b9): undefined reference to `major'
collect2: error: ld returned 1 exit status
Makefile:266: recipe for target 'jfs_fsck' failed
make[2]: *** [jfs_fsck] Error 1


$ cat emerge-info.txt
  -----------------------------------------------------------------

  This is an unstable amd64 chroot image (named amd64-desktop-unstable_20160326-172343) at a hardened host acting as a tinderbox.

  -----------------------------------------------------------------

  make.conf: USE="mmx sse sse2 pax_kernel -cdinstall -oci8 -bindist apache2 -btrfs cgoups corefonts csc curl custom-cflags custom-optimization dec_av2 designer dnssec evdev extraengine ffmpeg -fontconfig fpm gif -gnome-keyring gnutls imap javafx javascript javaxml jpeg mbox mng mysql mysqli nss plasma png postproc -postscript -pulseaudio qt3support rendering scripts -sddm sdl sqlite ssh-askpass system-jpeg szip tls tools -ufed uml v4l wav webkit webstart xa xmlreader xscreensaver"

  -----------------------------------------------------------------
Portage 2.2.28 (python 3.4.3-final-0, default/linux/amd64/13.0/desktop, gcc-5.3.0, glibc-2.23-r1, 4.4.6-hardened-r2 x86_64)
=================================================================
System uname: Linux-4.4.6-hardened-r2-x86_64-Intel-R-_Core-TM-_i7-3770_CPU_@_3.40GHz-with-gentoo-2.2
KiB Mem:    16157888 total,   2492520 free
KiB Swap:   16777212 total,  16691424 free
Timestamp of repository gentoo: Fri, 15 Apr 2016 03:23:03 +0000
sh bash 4.3_p42-r2
ld GNU ld (Gentoo 2.25.1 p1.1) 2.25.1
ccache version 3.2.4 [disabled]
app-shells/bash:          4.3_p42-r2::gentoo
dev-java/java-config:     2.2.0-r3::gentoo
dev-lang/perl:            5.22.1::gentoo
dev-lang/python:          2.7.11-r2::gentoo, 3.3.5-r7::gentoo, 3.4.3-r7::gentoo, 3.5.1-r2::gentoo
dev-util/ccache:          3.2.4::gentoo
dev-util/cmake:           3.5.1::gentoo
dev-util/pkgconfig:       0.29.1::gentoo
sys-apps/baselayout:      2.2::gentoo
sys-apps/openrc:          0.20.5::gentoo
sys-apps/sandbox:         2.10-r2::gentoo
sys-devel/autoconf:       2.13::gentoo, 2.69-r2::gentoo
sys-devel/automake:       1.9.6-r4::gentoo, 1.10.3-r2::gentoo, 1.11.6-r2::gentoo, 1.12.6-r1::gentoo, 1.13.4-r1::gentoo, 1.14.1-r1::gentoo, 1.15-r2::gentoo
sys-devel/binutils:       2.25.1-r1::gentoo
sys-devel/gcc:            4.9.3::gentoo, 5.3.0::gentoo
sys-devel/gcc-config:     1.8-r1::gentoo
sys-devel/libtool:        2.4.6-r2::gentoo
sys-devel/make:           4.1-r1::gentoo
sys-kernel/linux-headers: 4.4::gentoo (virtual/os-headers)
sys-libs/glibc:           2.23-r1::gentoo
Repositories:

gentoo
    location: /usr/portage
    sync-type: rsync
    sync-uri: rsync://rsync.de.gentoo.org/gentoo-portage/
    priority: 1

local
    location: /usr/local/portage
    masters: gentoo
    priority: 2

ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="*"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=native -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /etc/grs/systems.conf /etc/stunnel/stunnel.conf /usr/lib64/fax /usr/lib64/tomoyo/conf /usr/share/config /usr/share/easy-rsa /usr/share/gnupg/qualified.txt /usr/share/maven-bin-3.3/conf /usr/share/qpsmtpd/plugins /usr/share/themes/oxygen-gtk/gtk-2.0 /var/lib/hsqldb /var/rancid/.cloginrc /var/spool/fax/etc /var/yp/Makefile"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-march=native -O2 -pipe"
DISTDIR="/var/tmp/distfiles"
EMERGE_DEFAULT_OPTS="--deep --verbose-conflicts --color=n --nospinner --tree --quiet-build --accept-properties=-interactive --accept-restrict=-fetch"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles ipc-sandbox merge-sync network-sandbox news parallel-fetch preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://ftp.uni-erlangen.de/pub/mirrors/gentoo rsync://mirror.netcologne.de/gentoo/ ftp://sunsite.informatik.rwth-aachen.de/pub/Linux/gor.bytemark.co.uk/gentoo/ rsync://ftp.snt.utwente.nl/gentoo"
LANG="en_US.utf8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j1"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/var/tmp"
USE="X a52 aac acl acpi alsa amd64 apache2 berkdb bluetooth branding bzip2 cairo cdda cdr cgoups cli consolekit corefonts cracklib crypt csc cups curl custom-cflags custom-optimization cxx dbus dec_av2 designer dnssec dri dts dvd dvdr emboss encode evdev exif extraengine fam ffmpeg firefox flac fortran fpm gdbm gif glamor gnutls gpm gtk iconv imap ipv6 javafx javascript javaxml jpeg lcms ldap libnotify mad mbox mmx mmxext mng modules mp3 mp4 mpeg multilib mysql mysqli ncurses nls nptl nss ogg opengl openmp pam pango pax_kernel pcre pdf plasma png policykit postproc ppds qt3support qt4 readline rendering scripts sdl seccomp session spell sqlite sse sse2 ssh-askpass ssl startup-notification svg system-jpeg szip tcpd tiff tls tools truetype udev udisks uml unicode upower usb v4l vorbis wav webkit webstart wxwidgets x264 xa xattr xcb xml xmlreader xscreensaver xv xvid zlib" ABI_X86="64" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="aes avx mmx mmxext popcnt sse sse2 sse3 sse4_1 sse4_2 ssse3" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="en en_GB" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-5" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_4" RUBY_TARGETS="ruby20 ruby21" USERLAND="GNU" VIDEO_CARDS="intel i965" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CC, CPPFLAGS, CTARGET, CXX, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON
Comment 1 Toralf Förster gentoo-dev 2016-04-15 08:24:58 UTC
Created attachment 430566 [details]
emerge-history.txt
Comment 2 Toralf Förster gentoo-dev 2016-04-15 08:25:00 UTC
Created attachment 430568 [details]
environment
Comment 3 Toralf Förster gentoo-dev 2016-04-15 08:25:03 UTC
Created attachment 430570 [details]
sys-fs:jfsutils-1.1.15:20160415-071350.log
Comment 4 SpanKY gentoo-dev 2016-04-19 06:10:51 UTC
can't send upstream as they've disabled their tracker

so fixed here:
https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=bbf68d4424a50b48752768593401dee774044295